#ifndef _INPUT_FILE_REGISTER_HPP_
#define _INPUT_FILE_REGISTER_HPP_

#include <registry/InputFileRegistry.hpp>

namespace registration {

class InputFileRegister {
public:
	InputFileRegister ( const std::string & fileType, std::shared_ptr < abstraction::OperationAbstraction > ( * callback ) ( const std::string & type, const ext::vector < std::string > & templateParams ) ) {
		abstraction::InputFileRegistry::registerInputFileHandler ( fileType, callback );
	}
};

} /* namespace registration */

#endif // _INPUT_FILE_REGISTER_HPP_
