#ifndef _INPUT_FILE_REGISTER_HPP_
#define _INPUT_FILE_REGISTER_HPP_

#include <registry/OutputFileRegistry.hpp>

namespace registration {

class OutputFileRegister {
public:
	OutputFileRegister ( const std::string & fileType, std::shared_ptr < abstraction::OperationAbstraction > ( * callback ) ( const std::string & typehint ) ) {
		abstraction::OutputFileRegistry::registerOutputFileHandler ( fileType, callback );
	}
};

} /* namespace registration */

#endif // _INPUT_FILE_REGISTER_HPP_
