#ifndef _CLI_COMMAND_H_
#define _CLI_COMMAND_H_

#include <environment/Environment.h>

namespace cli {

class Command {
public:
	enum class Result {
		OK,
		QUIT,
		EXCEPTION,
		ERROR
	};

	virtual ~Command ( ) noexcept = default;

	virtual Command::Result run ( Environment & environment ) const = 0;
};

} /* namespace cli */

#endif /* _CLI_COMMAND_H_ */
